Page 1 of 1

METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Sat May 29, 2010 9:58 pm
by rgpmikrotik
Hello,

I have installed openwrt with metarouter in a RB433AH, i used the precompiled version openwrt-mr-mips-rootfs.tgz.tar downloaded in mikrotik . I have internet access in openwrt. The problem is that:


in /etc/opkg.conf I have:

src/gz snapshots http://downloads.openwrt.org/snapshots/ ... s/packages
dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay

thes link doesnt work, I tried those:

http://openwrt.pantele.com.ua/trunk/metarouter/packages
http://downloads.openwrt.org/snapshots/ ... x/packages
http://downloads.openwrt.org/snapshots/ ... s/packages
http://downloads.openwrt.org/snapshots/ ... 2/packages

they dont work, when I put opkg update, all the packeges say XX has no valid architecture, ignoring.

Any suggests?

thanks in advance

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Mon May 31, 2010 8:12 am
by mrz
There is no official packages for metarouter on openwrt download site.
Read this topic http://forum.mikrotik.com/viewtopic.php?f=15&t=32187

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Mon May 31, 2010 7:37 pm
by rgpmikrotik
a, ok, I want to install asterisk, I sould compile by myself? I mean make, make install etc?

thanks in advance

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Tue Jun 01, 2010 8:10 am
by janisk
either build them yourself or find on the internet. there are someone who did build them, just not sure that he/she have build with new patch and newer version of OpenWRT

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Wed Jun 02, 2010 3:17 am
by rgpmikrotik
I could't find asterisk.ipk for metarouter for the rb433ah, so i tried to compile by myself, but when i try make asterisk I have an error, it seems that make is not installed, what can I do?:

/bin/ash: make: not found

here I show you mi installed packages:

root@OpenWrt:/usr/src/# opkg list-installed
base-files - 42-r20828
busybox - 1.16.1-2
dnsmasq - 2.52-2
dropbear - 0.52-4
firewall - 1-10
hotplug2 - 1.0-beta-1
iptables - 1.4.6-2
iptables-mod-conntrack - 1.4.6-2
iptables-mod-nat - 1.4.6-2
kernel - 2.6.31.10-1
kmod-crc-ccitt - 2.6.31.10-1
kmod-ipt-conntrack - 2.6.31.10-1
kmod-ipt-core - 2.6.31.10-1
kmod-ipt-nat - 2.6.31.10-1
kmod-ipt-nathelper - 2.6.31.10-1
kmod-ppp - 2.6.31.10-1
kmod-pppoe - 2.6.31.10-1
libc - 0.9.30.1-42
libgcc - 4.3.3+cs-42
libiptc - 1.4.6-2
libuci - 12012009.5-1
libxtables - 1.4.6-2
mtd - 12
opkg - 513-2
ppp - 2.4.4-5
ppp-mod-pppoe - 2.4.4-5
uci - 12012009.5-1
udevtrigger - 106-1



thanks in advance

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Wed Jun 02, 2010 8:26 am
by janisk
AFAIK, you have to compile them on your PC and then upload to the router as none of packages are compiled on the router.

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Wed Jun 02, 2010 3:21 pm
by rgpmikrotik
A ok, so, how to do this? can you explainme how to do that?, I donĀ“t know how to generate an .ipk package for metarouter since my pc.

thanks in advance

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Wed Jun 02, 2010 3:26 pm
by janisk
you will have to ask that in OpenWRT forums i'm afraid.

Check on their site, you should be able to download sources and tools necessary for package compilation

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Wed Jun 02, 2010 8:33 pm
by rgpmikrotik
I`think this are the sources:

http://downloads.openwrt.org/sources/

and these the tools?

http://downloads.openwrt.org/docs/build ... ation.html

Is that the only way??

thanks in advance

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Thu Jun 03, 2010 9:31 am
by normis
all these questions should be asked in the OWRT forums, as they are directly related to compilation and usage of their software.

Re: METAROUTER + OPENWRT = OPKG ERROR IN RB433AH

Posted: Thu Aug 15, 2013 11:39 pm
by karpediemnow